Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Policy_Manager Class Reference

`#include <Policy_Manager.h>`

Inheritance diagram for TAO_Policy_Manager:

[legend]
Collaboration diagram for TAO_Policy_Manager:

[legend]
List of all members.

## Public Methods
| TAO_Policy_Manager (void)
| constructor. More...
CORBA::Policy_ptr | get_policy (CORBA::PolicyType policy ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Obtain a single policy. More...
virtual CORBA::PolicyList * | get_policy_overrides (const CORBA::PolicyTypeSeq &ts ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | set_policy_overrides (const CORBA::PolicyList &policies, CORBA::SetOverrideType set_add ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, CORBA::InvalidPolicies)
CORBA::Policy_ptr | get_cached_policy (TAO_Cached_Policy_Type type)
| Obtain a single cached policy. More...
## Private Attributes
TAO_SYNCH_MUTEX | mutex_
| Protect access. More...
TAO_Policy_Set | impl_
| The implementation. More...

## Constructor & Destructor Documentation

ACE_INLINE TAO_Policy_Manager::TAO_Policy_Manager | ( | void |  | ) |

| constructor.

## Member Function Documentation

ACE_INLINE CORBA::Policy_ptr TAO_Policy_Manager::get_cached_policy | ( | TAO_Cached_Policy_Type | type | ) |

| Obtain a single cached policy.

ACE_INLINE CORBA::Policy_ptr TAO_Policy_Manager::get_policy | ( | CORBA::PolicyType policy | ACE_ENV_ARG_DECL | ) |

| Obtain a single policy.

ACE_INLINE CORBA::PolicyList * TAO_Policy_Manager::get_policy_overrides | ( | const CORBA::PolicyTypeSeq &ts | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::PolicyManager.

ACE_INLINE void TAO_Policy_Manager::set_policy_overrides | ( | const CORBA::PolicyList & | policies,
|  | CORBA::SetOverrideType set_add | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CORBA::InvalidPolicies)`[virtual]`

| Reimplemented from CORBA::PolicyManager.

## Member Data Documentation

TAO_Policy_Set TAO_Policy_Manager::impl_`[private]`

| The implementation.

TAO_SYNCH_MUTEX TAO_Policy_Manager::mutex_`[private]`

| Protect access.

The documentation for this class was generated from the following files:

- Policy_Manager.h
- Policy_Manager.i